長くから計画していたRedmineの導入。
最新の2系列のインストールを試みるも、いくつかパッケージ不足のエラーが発生!

不足パッケージを入れてくも、

Error message:
 uninitialized constant ActiveRecord::Base::Redmine
Exception class:
 NameError

が解消できなかった・・・

いろいろ調べてそれらしいのを試すもうまくいかない・・・

 ・超ド素人のRuby on Rails挑戦日記
 ・rails s を実行すると uninitialized constant Syck::MergeKey (NameError) というエラーが発生する
 ・ruby on rails – Accessing a Constant Defined in ActiveRecord::Base – Stack Overflow

あと、MySQL使うからPostgresSQLのGemをインストールしないように
 

# bundle install --without development test postgresql sqlite

でインストールしたにもかかわらず、
 

Please install the postgresql adapter: `gem install activerecord-postgresql-adapter` (no such file to load -- pg

のメッセージが表示されるとか、いろいろ難癖をつけられる・・・
(このpgの問題は、redmine直下の「Gemfile」の以下部分をコメントアウトしてやればOK

  #group :postgresql do
  #  gem "pg", ">= 0.11.0"
  #end

 ・RAILS_ENV=production rake db:migrate

だが、結局uninitialized constant ActiveRecord::Base::Redmineが分からなく、
あんまり時間かけてまで2系列使いたいわけじゃないので断念・・・
(そういえば、ストックし忘れたけど、海外サイトで、MySQLが5.1系じゃなく5.5系だから問題だってのがあったけど、でもRedmine1.4は5.5系でも問題ないしな・・・どうなんでしょ??

image

代わりに1系列(1.44)を入れたらすんなりとインストール完了した!
やはりまだ2系列はそれなりに課題があるのかな??
Railsも3系列が使えるといっても・・・ま、そんなわけで1.44使うことにしました^^)

image

—————————————————————————————————-
★EZiC RSS
 http://feeds.feedburner.com/ezic

★マサのライフノート
 http://feeds.feedburner.com/ezic/masa
—————————————————————————————————-

スポンサードリンク



★RSS配信中!
 よろしければ購読をお願いします!:RSS配信

★トラックバック

コメントを残す

メールアドレスが公開されることはありません。